//
//  GCPingSummary.h
//  GCPing
//
//  Created by Luka Mirosevic on 05/11/2012.
//  Copyright (c) 2012 Goonbee. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface GamePingSummary : NSObject <NSCopying>

typedef enum {
    GCPingStatusPending,
    GCPingStatusSuccess,
    GCPingStatusFail,
} GCPingStatus;

@property (assign, nonatomic) NSUInteger        sequenceNumber;
@property (assign, nonatomic) NSUInteger        payloadSize;
@property (assign, nonatomic) NSUInteger        ttl;
@property (strong, nonatomic, nullable) NSString          *host;
@property (strong, nonatomic, nullable) NSDate            *sendDate;
@property (strong, nonatomic, nullable) NSDate            *receiveDate;
@property (assign, nonatomic) NSTimeInterval    rtt;
@property (assign, nonatomic) GCPingStatus      status;

@end
